namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_Teacher(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_TeacherController : BaseController<IGhre_TeacherServices, Ghre_Teacher, Ghre_TeacherDto, InsertGhre_TeacherInput, EditGhre_TeacherInput>
{
    public Ghre_TeacherController(IGhre_TeacherServices service) : base(service)
    {
    }

    #region 查询 
    [HttpPost("QueryDisabled")]
    public async Task<ServicePageResult<Ghre_TeacherDto>> QueryDisabled([FromBody] QueryBody body)
    {
        return await _service.QueryFilterPage(body, null, false);
    }
    #endregion
}